/**
 * Copyright (c) 2008-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.engine.clock;

import java.io.File;

import org.ow2.petals.component.framework.DefaultBootstrap;

public class ClockBootstrap extends DefaultBootstrap {

    
    public void doInit(){
        //create SU directory
        File installationPath = new File(getInstallContext().getInstallRoot());        
        
        File suDir = new File(installationPath,"serviceUnit");
        File METAINF = new File(suDir,"META-INF");
        METAINF.mkdirs();
        //move su.xml and wsdl to su directory
        File suFile = new File(installationPath,"serviceUnit.xml");
        suFile.renameTo(new File(METAINF,"jbi.xml"));
        
        File wsdlFile = new File(installationPath,"ClockService.wsdl");
        wsdlFile.renameTo(new File(suDir,"ClockService.wsdl"));
        
    }
}
